import React from 'react';
import Step from './Step';

export default class VerticalStepper extends React.Component{
    render(){

        let steps = this.props.steps;
        let stepsLength = steps.length

        return(
            <div className={`stepperContainer`}>
                {
                    steps.map((step,i) => {
                        return(
                            <Step
                                step={step}
                                isLast={i==stepsLength-1}
                                {...this.props}
                            />
                        )
                    })
                }
            </div>
        )
    }
}